Subject: Re: Deer vs Fruit trees.. help

From: [email-masked] (PlantDoc1)
Date: 29 Jan 1995 21:09:37 -0500

Deer controls depend heavily on deer population density. As I live in a
Suburban
town with the heaviest deer population per acre in New York State....I've
tried it all!
The most effective deterent is a Black Mesh covering called Deerblock made
by Easy Gardener Co of Waco, TX. Next a spray repellant when netting isn't
practical...the best is DeerAway made by Integralure. (I've been told it's
used in a lot of reforestation areas, and the other one that works pretty
good is Hinder. All
others will fail in our experiance. Proper application is essential in
applying the repellants as they need to dry before freezing..